# DescribePurgeTask

## 1. API Description

This interface is used to check if the purge status is effective across the entire network.

## 2. Request Parameters

The following request parameters list only includes the required parameters for the interface.

| Parameter Name | Required | Type   | Description   |
| -------------- | -------- | ------ | ------------- |
| taskId         | Yes      | String | Purge task id |

## 3. Output Parameters

| Parameter Name | Type                                                                                       | Description                                                                                 |
| -------------- | ------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                     | Unique request ID, returned with each request. Provide this requestId when locating issues. |
| dataSet        | Array of [PurgeResultInfo](/api-reference/networking/cdn/datastructure.md#purgeresultinfo) | Result set.                                                                                 |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Query Purge Result**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/cdn
Content-Type: application/json
X-ZC-Action: DescribePurgeTask
<Common Request Params>

Request:
{
  "taskId": "taskId-xxxxxxx"
}

Response:
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "dataSet": [
      {
        "path": "http://cdntest.zenlayer.com/dir/1.jpg",
        "status": "Success",
        "createTime": "2022-09-08T12:00:00.000Z",
        "updateTime": "2022-09-08T12:00:01.000Z"
      },
      {
        "path": "http://cdntest.zenlayer.com/dir/2.jpg",
        "status": "Success",
        "createTime": "2022-09-08T12:00:00.000Z",
        "updateTime": "2022-09-08T12:00:01.000Z"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Error Codes

The following includes error codes encountered in business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/networking/cdn/purge/describepurgetask.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
